aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/gpio
diff options
context:
space:
mode:
authorBartosz Golaszewski <brgl@bgdev.pl>2021-12-13 17:23:55 +0100
committerBartosz Golaszewski <brgl@bgdev.pl>2021-12-17 12:26:13 +0100
commitf7eda6fe03226b8a608a5d52a1e8273a14fba07c (patch)
treee511b58aac84ca802b222606f150d2ced55cc0bd /tools/testing/selftests/gpio
parentgpio: amdpt: add new device ID and 24-pin support (diff)
downloadlinux-dev-f7eda6fe03226b8a608a5d52a1e8273a14fba07c.tar.xz
linux-dev-f7eda6fe03226b8a608a5d52a1e8273a14fba07c.zip
selftests: gpio: gpio-sim: remove bashisms
'==' is a bashisms and not understood by POSIX shell. Drop it from gpio-sim selftests. Signed-off-by: Bartosz Golaszewski <brgl@bgdev.pl>
Diffstat (limited to 'tools/testing/selftests/gpio')
-rwxr-xr-xtools/testing/selftests/gpio/gpio-sim.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tools/testing/selftests/gpio/gpio-sim.sh b/tools/testing/selftests/gpio/gpio-sim.sh
index d335a975890c..c913d5aec768 100755
--- a/tools/testing/selftests/gpio/gpio-sim.sh
+++ b/tools/testing/selftests/gpio/gpio-sim.sh
@@ -23,12 +23,12 @@ remove_chip() {
for FILE in $CONFIGFS_DIR/$CHIP/*; do
BANK=`basename $FILE`
- if [ "$BANK" == "live" ] || [ "$BANK" == "dev_name" ]; then
+ if [ "$BANK" = "live" ] || [ "$BANK" = "dev_name" ]; then
continue
fi
LINES=`ls $CONFIGFS_DIR/$CHIP/$BANK/ | egrep ^line`
- if [ "$?" == 0 ]; then
+ if [ "$?" = 0 ]; then
for LINE in $LINES; do
if [ -e $CONFIGFS_DIR/$CHIP/$BANK/$LINE/hog ]; then
rmdir $CONFIGFS_DIR/$CHIP/$BANK/$LINE/hog || \